Bug 624503 - supertuxkart crashes when selecting fullscreen mode.
supertuxkart crashes when selecting fullscreen mode.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 13:19 EDT by Trevor Mettam
Modified: 2011-06-28 10:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace produced manually via gdb (10.40 KB, text/plain)
2010-08-22 13:32 EDT, Trevor Mettam
no flags Details
Backtrace with missing debuginfos (10.24 KB, text/plain)
2010-08-22 14:00 EDT, Trevor Mettam
no flags Details
supertuxkart gdb trace (8.74 KB, text/plain)
2011-04-02 16:55 EDT, Yuri Timofeev
no flags Details

  None (edit)
Description Trevor Mettam 2010-08-16 13:19:25 EDT
Description of problem:
On my Fedora 13 setup, using the recently available propriety legacy nVidia drivers... SuperTuxKart crashes whenever fullscreen mode is selected.

Version-Release number of selected component (if applicable):
Version     : 0.6.2
Release     : 3.fc13

glxinfo:
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce FX 5500/AGP/SSE2
OpenGL version string: 2.1.2 NVIDIA 173.14.27

How reproducible:
Selecting fullscreen mode on a Fedora 13 box with legacy nVidia graphics card and propriety drivers.

Steps to Reproduce:
1. Start SuperTuxKart
2. Select Display Options (navigate via Options->Display)
3. Select any resolution (using Increase/Decrease resolution buttons)
4. Select 'Fullscreen mode'
  
Actual results:
Screen resolution is changed, then the game crashes. Control is returned to the Desktop using the changed resolution.

Expected results:
Game continues as normal in fullscreen mode.

Additional info:
* Crash was not intercepted by abrt.
* Other OpenGL games do not exhibit this behaviour.
Comment 1 Trevor Mettam 2010-08-16 14:03:26 EDT
WORKAROUND:
Editing the appropriate parts of the ~/.supertuxkart/config file with your desired display options prior to invoking the game works fine.
It appears that the process to change the screen resolution for fullscreen mode while the game is running is a bit frotzed.
Comment 2 Trevor Mettam 2010-08-22 13:32:48 EDT
Created attachment 440238 [details]
Backtrace produced manually via gdb
Comment 3 Trevor Mettam 2010-08-22 14:00:07 EDT
Created attachment 440244 [details]
Backtrace with missing debuginfos
Comment 4 Yuri Timofeev 2011-04-02 16:55:50 EDT
Created attachment 489615 [details]
supertuxkart gdb trace

Same problem on my Fedora 14

supertuxkart
------------
Version     : 0.6.2
Release     : 3.fc13

glxinfo
-------
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 9600 GT/PCI/SSE2/3DNOW!
OpenGL version string: 3.3.0 NVIDIA 260.19.36
Comment 5 Yuri Timofeev 2011-04-02 17:06:18 EDT
(In reply to comment #1)
> WORKAROUND:
> Editing the appropriate parts of the ~/.supertuxkart/config file with your
> desired display options prior to invoking the game works fine.

It worked.

And change (after crash)
  (crash_detected       #t)
to
  (crash_detected       #f)

Otherwise the option "Full screen" will not be available in the menu
and you can not once again crashed STK ;)
Comment 6 Yuri Timofeev 2011-04-02 19:31:36 EDT
Problem solved in Supertuxkart 0.7

repo F14 available here:
http://repos.fedorapeople.org/repos/tim4dev/supertuxkart/fedora-14/
Comment 7 Bug Zapper 2011-06-01 07:24:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-28 10:33:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.